<?php



$tdataresumo_contas = array();
$tdataresumo_contas[".searchableFields"] = array();
$tdataresumo_contas[".ShortName"] = "resumo_contas";
$tdataresumo_contas[".OwnerID"] = "";
$tdataresumo_contas[".OriginalTable"] = "tb_cbanc_movimentos";


$tdataresumo_contas[".pagesByType"] = my_json_decode( "{\"list\":[\"list\"],\"search\":[\"search\"]}" );
$tdataresumo_contas[".originalPagesByType"] = $tdataresumo_contas[".pagesByType"];
$tdataresumo_contas[".pages"] = types2pages( my_json_decode( "{\"list\":[\"list\"],\"search\":[\"search\"]}" ) );
$tdataresumo_contas[".originalPages"] = $tdataresumo_contas[".pages"];
$tdataresumo_contas[".defaultPages"] = my_json_decode( "{\"list\":\"list\",\"search\":\"search\"}" );
$tdataresumo_contas[".originalDefaultPages"] = $tdataresumo_contas[".defaultPages"];

//	field labels
$fieldLabelsresumo_contas = array();
$fieldToolTipsresumo_contas = array();
$pageTitlesresumo_contas = array();
$placeHoldersresumo_contas = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsresumo_contas["English"] = array();
	$fieldToolTipsresumo_contas["English"] = array();
	$placeHoldersresumo_contas["English"] = array();
	$pageTitlesresumo_contas["English"] = array();
	$fieldLabelsresumo_contas["English"]["cbancID"] = "Cbanc ID";
	$fieldToolTipsresumo_contas["English"]["cbancID"] = "";
	$placeHoldersresumo_contas["English"]["cbancID"] = "";
	$fieldLabelsresumo_contas["English"]["Debitos"] = "Débito ";
	$fieldToolTipsresumo_contas["English"]["Debitos"] = "";
	$placeHoldersresumo_contas["English"]["Debitos"] = "";
	$fieldLabelsresumo_contas["English"]["Creditos"] = "Crédito ";
	$fieldToolTipsresumo_contas["English"]["Creditos"] = "";
	$placeHoldersresumo_contas["English"]["Creditos"] = "";
	$fieldLabelsresumo_contas["English"]["AReceber"] = "Receber";
	$fieldToolTipsresumo_contas["English"]["AReceber"] = "";
	$placeHoldersresumo_contas["English"]["AReceber"] = "";
	$fieldLabelsresumo_contas["English"]["saldo_atual"] = "Saldo Atual";
	$fieldToolTipsresumo_contas["English"]["saldo_atual"] = "";
	$placeHoldersresumo_contas["English"]["saldo_atual"] = "";
	$fieldLabelsresumo_contas["English"]["Reemb_pagar"] = "Reemb/ Pagar";
	$fieldToolTipsresumo_contas["English"]["Reemb_pagar"] = "";
	$placeHoldersresumo_contas["English"]["Reemb_pagar"] = "";
	$fieldLabelsresumo_contas["English"]["Reem_pagos"] = "Reemb/ Pagos";
	$fieldToolTipsresumo_contas["English"]["Reem_pagos"] = "";
	$placeHoldersresumo_contas["English"]["Reem_pagos"] = "";
	$fieldLabelsresumo_contas["English"]["Saldo_previsto"] = "Saldo Previsto";
	$fieldToolTipsresumo_contas["English"]["Saldo_previsto"] = "";
	$placeHoldersresumo_contas["English"]["Saldo_previsto"] = "";
	$fieldLabelsresumo_contas["English"]["banco"] = "Banco";
	$fieldToolTipsresumo_contas["English"]["banco"] = "";
	$placeHoldersresumo_contas["English"]["banco"] = "";
	if (count($fieldToolTipsresumo_contas["English"]))
		$tdataresumo_contas[".isUseToolTips"] = true;
}


	$tdataresumo_contas[".NCSearch"] = true;



$tdataresumo_contas[".shortTableName"] = "resumo_contas";
$tdataresumo_contas[".nSecOptions"] = 0;

$tdataresumo_contas[".mainTableOwnerID"] = "";
$tdataresumo_contas[".entityType"] = 1;

$tdataresumo_contas[".strOriginalTableName"] = "tb_cbanc_movimentos";

	



$tdataresumo_contas[".showAddInPopup"] = false;

$tdataresumo_contas[".showEditInPopup"] = false;

$tdataresumo_contas[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataresumo_contas[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataresumo_contas[".listAjax"] = false;
//	temporary
$tdataresumo_contas[".listAjax"] = false;

	$tdataresumo_contas[".audit"] = false;

	$tdataresumo_contas[".locking"] = false;


$pages = $tdataresumo_contas[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataresumo_contas[".edit"] = true;
	$tdataresumo_contas[".afterEditAction"] = 0;
	$tdataresumo_contas[".closePopupAfterEdit"] = 1;
	$tdataresumo_contas[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdataresumo_contas[".add"] = true;
$tdataresumo_contas[".afterAddAction"] = 0;
$tdataresumo_contas[".closePopupAfterAdd"] = 1;
$tdataresumo_contas[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdataresumo_contas[".list"] = true;
}



$tdataresumo_contas[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataresumo_contas[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataresumo_contas[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataresumo_contas[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataresumo_contas[".printFriendly"] = true;
}



$tdataresumo_contas[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataresumo_contas[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataresumo_contas[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataresumo_contas[".isUseAjaxSuggest"] = true;

$tdataresumo_contas[".rowHighlite"] = true;





$tdataresumo_contas[".ajaxCodeSnippetAdded"] = false;

$tdataresumo_contas[".buttonsAdded"] = false;

$tdataresumo_contas[".addPageEvents"] = false;

// use timepicker for search panel
$tdataresumo_contas[".isUseTimeForSearch"] = false;


$tdataresumo_contas[".badgeColor"] = "DC143C";


$tdataresumo_contas[".allSearchFields"] = array();
$tdataresumo_contas[".filterFields"] = array();
$tdataresumo_contas[".requiredSearchFields"] = array();

$tdataresumo_contas[".googleLikeFields"] = array();
$tdataresumo_contas[".googleLikeFields"][] = "cbancID";
$tdataresumo_contas[".googleLikeFields"][] = "Creditos";
$tdataresumo_contas[".googleLikeFields"][] = "Debitos";
$tdataresumo_contas[".googleLikeFields"][] = "saldo_atual";
$tdataresumo_contas[".googleLikeFields"][] = "Reemb_pagar";
$tdataresumo_contas[".googleLikeFields"][] = "Reem_pagos";
$tdataresumo_contas[".googleLikeFields"][] = "AReceber";
$tdataresumo_contas[".googleLikeFields"][] = "Saldo_previsto";
$tdataresumo_contas[".googleLikeFields"][] = "banco";



$tdataresumo_contas[".tableType"] = "list";

$tdataresumo_contas[".printerPageOrientation"] = 0;
$tdataresumo_contas[".nPrinterPageScale"] = 100;

$tdataresumo_contas[".nPrinterSplitRecords"] = 40;

$tdataresumo_contas[".geocodingEnabled"] = false;










$tdataresumo_contas[".pageSize"] = 20;

$tdataresumo_contas[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataresumo_contas[".strOrderBy"] = $tstrOrderBy;

$tdataresumo_contas[".orderindexes"] = array();

$tdataresumo_contas[".sqlHead"] = "SELECT tb_cbanc_movimentos.cbancID,  SUM(IF(tipo_lanc='Crédito', valor, 0)) AS Creditos,  SUM(IF(tipo_lanc='Débito', valor, 0)) AS Debitos,  SUM(IF(tipo_lanc='Crédito', valor,0)) -  SUM(IF(tipo_lanc='Débito', valor,0)) AS saldo_atual,  SUM(IF(reembolsar=1, valor,0)) -  SUM(IF(tipo_lanc='Débito' AND origem=9, valor,0)) AS Reemb_pagar,  SUM(IF(tipo_lanc='Débito' AND origem=9, valor, 0)) AS Reem_pagos,  SUM(IF(receber=1, valor, 0)) AS AReceber,  (SUM(IF(tipo_lanc='Crédito', valor,0))-SUM(IF(tipo_lanc='Débito', valor,0)))-  (SUM(IF(reembolsar=1, valor,0)) -  SUM(IF(tipo_lanc='Débito' AND origem=9, valor,0))) + SUM(IF(receber=1, valor,0)) AS Saldo_previsto,  tb_contas_banc.banco";
$tdataresumo_contas[".sqlFrom"] = "FROM tb_cbanc_movimentos  INNER JOIN tb_contas_banc ON tb_cbanc_movimentos.cbancID = tb_contas_banc.contaID";
$tdataresumo_contas[".sqlWhereExpr"] = "";
$tdataresumo_contas[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataresumo_contas[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataresumo_contas[".arrGroupsPerPage"] = $arrGPP;

$tdataresumo_contas[".highlightSearchResults"] = true;

$tableKeysresumo_contas = array();
$tableKeysresumo_contas[] = "cbancID";
$tdataresumo_contas[".Keys"] = $tableKeysresumo_contas;


$tdataresumo_contas[".hideMobileList"] = array();




//	cbancID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "cbancID";
	$fdata["GoodName"] = "cbancID";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("Resumo_contas","cbancID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "cbancID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_cbanc_movimentos.cbancID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_contas["cbancID"] = $fdata;
		$tdataresumo_contas[".searchableFields"][] = "cbancID";
//	Creditos
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "Creditos";
	$fdata["GoodName"] = "Creditos";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("Resumo_contas","Creditos");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Creditos";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(IF(tipo_lanc='Crédito', valor, 0))";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_contas["Creditos"] = $fdata;
		$tdataresumo_contas[".searchableFields"][] = "Creditos";
//	Debitos
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Debitos";
	$fdata["GoodName"] = "Debitos";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("Resumo_contas","Debitos");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Debitos";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(IF(tipo_lanc='Débito', valor, 0))";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_contas["Debitos"] = $fdata;
		$tdataresumo_contas[".searchableFields"][] = "Debitos";
//	saldo_atual
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "saldo_atual";
	$fdata["GoodName"] = "saldo_atual";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("Resumo_contas","saldo_atual");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "saldo_atual";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(IF(tipo_lanc='Crédito', valor,0)) -  SUM(IF(tipo_lanc='Débito', valor,0))";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_contas["saldo_atual"] = $fdata;
		$tdataresumo_contas[".searchableFields"][] = "saldo_atual";
//	Reemb_pagar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Reemb_pagar";
	$fdata["GoodName"] = "Reemb_pagar";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("Resumo_contas","Reemb_pagar");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Reemb_pagar";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(IF(reembolsar=1, valor,0)) -  SUM(IF(tipo_lanc='Débito' AND origem=9, valor,0))";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_contas["Reemb_pagar"] = $fdata;
		$tdataresumo_contas[".searchableFields"][] = "Reemb_pagar";
//	Reem_pagos
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "Reem_pagos";
	$fdata["GoodName"] = "Reem_pagos";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("Resumo_contas","Reem_pagos");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Reem_pagos";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(IF(tipo_lanc='Débito' AND origem=9, valor, 0))";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_contas["Reem_pagos"] = $fdata;
		$tdataresumo_contas[".searchableFields"][] = "Reem_pagos";
//	AReceber
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "AReceber";
	$fdata["GoodName"] = "AReceber";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("Resumo_contas","AReceber");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "AReceber";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(IF(receber=1, valor, 0))";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_contas["AReceber"] = $fdata;
		$tdataresumo_contas[".searchableFields"][] = "AReceber";
//	Saldo_previsto
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "Saldo_previsto";
	$fdata["GoodName"] = "Saldo_previsto";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("Resumo_contas","Saldo_previsto");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Saldo_previsto";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "(SUM(IF(tipo_lanc='Crédito', valor,0))-SUM(IF(tipo_lanc='Débito', valor,0)))-  (SUM(IF(reembolsar=1, valor,0)) -  SUM(IF(tipo_lanc='Débito' AND origem=9, valor,0))) + SUM(IF(receber=1, valor,0))";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_contas["Saldo_previsto"] = $fdata;
		$tdataresumo_contas[".searchableFields"][] = "Saldo_previsto";
//	banco
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "banco";
	$fdata["GoodName"] = "banco";
	$fdata["ownerTable"] = "tb_contas_banc";
	$fdata["Label"] = GetFieldLabel("Resumo_contas","banco");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "banco";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_contas_banc.banco";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_contas["banco"] = $fdata;
		$tdataresumo_contas[".searchableFields"][] = "banco";


$tables_data["Resumo_contas"]=&$tdataresumo_contas;
$field_labels["Resumo_contas"] = &$fieldLabelsresumo_contas;
$fieldToolTips["Resumo_contas"] = &$fieldToolTipsresumo_contas;
$placeHolders["Resumo_contas"] = &$placeHoldersresumo_contas;
$page_titles["Resumo_contas"] = &$pageTitlesresumo_contas;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["Resumo_contas"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["Resumo_contas"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_resumo_contas()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "tb_cbanc_movimentos.cbancID,  SUM(IF(tipo_lanc='Crédito', valor, 0)) AS Creditos,  SUM(IF(tipo_lanc='Débito', valor, 0)) AS Debitos,  SUM(IF(tipo_lanc='Crédito', valor,0)) -  SUM(IF(tipo_lanc='Débito', valor,0)) AS saldo_atual,  SUM(IF(reembolsar=1, valor,0)) -  SUM(IF(tipo_lanc='Débito' AND origem=9, valor,0)) AS Reemb_pagar,  SUM(IF(tipo_lanc='Débito' AND origem=9, valor, 0)) AS Reem_pagos,  SUM(IF(receber=1, valor, 0)) AS AReceber,  (SUM(IF(tipo_lanc='Crédito', valor,0))-SUM(IF(tipo_lanc='Débito', valor,0)))-  (SUM(IF(reembolsar=1, valor,0)) -  SUM(IF(tipo_lanc='Débito' AND origem=9, valor,0))) + SUM(IF(receber=1, valor,0)) AS Saldo_previsto,  tb_contas_banc.banco";
$proto0["m_strFrom"] = "FROM tb_cbanc_movimentos  INNER JOIN tb_contas_banc ON tb_cbanc_movimentos.cbancID = tb_contas_banc.contaID";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "cbancID",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "Resumo_contas"
));

$proto6["m_sql"] = "tb_cbanc_movimentos.cbancID";
$proto6["m_srcTableName"] = "Resumo_contas";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$proto9=array();
$proto9["m_functiontype"] = "SQLF_SUM";
$proto9["m_arguments"] = array();
						$proto10=array();
$proto10["m_functiontype"] = "SQLF_CUSTOM";
$proto10["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "tipo_lanc='Crédito'"
));

$proto10["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "valor"
));

$proto10["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "0"
));

$proto10["m_arguments"][]=$obj;
$proto10["m_strFunctionName"] = "IF";
$obj = new SQLFunctionCall($proto10);

$proto9["m_arguments"][]=$obj;
$proto9["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto9);

$proto8["m_sql"] = "SUM(IF(tipo_lanc='Crédito', valor, 0))";
$proto8["m_srcTableName"] = "Resumo_contas";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "Creditos";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$proto15=array();
$proto15["m_functiontype"] = "SQLF_SUM";
$proto15["m_arguments"] = array();
						$proto16=array();
$proto16["m_functiontype"] = "SQLF_CUSTOM";
$proto16["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "tipo_lanc='Débito'"
));

$proto16["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "valor"
));

$proto16["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "0"
));

$proto16["m_arguments"][]=$obj;
$proto16["m_strFunctionName"] = "IF";
$obj = new SQLFunctionCall($proto16);

$proto15["m_arguments"][]=$obj;
$proto15["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto15);

$proto14["m_sql"] = "SUM(IF(tipo_lanc='Débito', valor, 0))";
$proto14["m_srcTableName"] = "Resumo_contas";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "Debitos";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "SUM(IF(tipo_lanc='Crédito', valor,0)) -  SUM(IF(tipo_lanc='Débito', valor,0))"
));

$proto20["m_sql"] = "SUM(IF(tipo_lanc='Crédito', valor,0)) -  SUM(IF(tipo_lanc='Débito', valor,0))";
$proto20["m_srcTableName"] = "Resumo_contas";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "saldo_atual";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "SUM(IF(reembolsar=1, valor,0)) -  SUM(IF(tipo_lanc='Débito' AND origem=9, valor,0))"
));

$proto22["m_sql"] = "SUM(IF(reembolsar=1, valor,0)) -  SUM(IF(tipo_lanc='Débito' AND origem=9, valor,0))";
$proto22["m_srcTableName"] = "Resumo_contas";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "Reemb_pagar";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$proto25=array();
$proto25["m_functiontype"] = "SQLF_SUM";
$proto25["m_arguments"] = array();
						$proto26=array();
$proto26["m_functiontype"] = "SQLF_CUSTOM";
$proto26["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "tipo_lanc='Débito' AND origem=9"
));

$proto26["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "valor"
));

$proto26["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "0"
));

$proto26["m_arguments"][]=$obj;
$proto26["m_strFunctionName"] = "IF";
$obj = new SQLFunctionCall($proto26);

$proto25["m_arguments"][]=$obj;
$proto25["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto25);

$proto24["m_sql"] = "SUM(IF(tipo_lanc='Débito' AND origem=9, valor, 0))";
$proto24["m_srcTableName"] = "Resumo_contas";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "Reem_pagos";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$proto31=array();
$proto31["m_functiontype"] = "SQLF_SUM";
$proto31["m_arguments"] = array();
						$proto32=array();
$proto32["m_functiontype"] = "SQLF_CUSTOM";
$proto32["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "receber=1"
));

$proto32["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "valor"
));

$proto32["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "0"
));

$proto32["m_arguments"][]=$obj;
$proto32["m_strFunctionName"] = "IF";
$obj = new SQLFunctionCall($proto32);

$proto31["m_arguments"][]=$obj;
$proto31["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto31);

$proto30["m_sql"] = "SUM(IF(receber=1, valor, 0))";
$proto30["m_srcTableName"] = "Resumo_contas";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "AReceber";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto36=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "(SUM(IF(tipo_lanc='Crédito', valor,0))-SUM(IF(tipo_lanc='Débito', valor,0)))-  (SUM(IF(reembolsar=1, valor,0)) -  SUM(IF(tipo_lanc='Débito' AND origem=9, valor,0))) + SUM(IF(receber=1, valor,0))"
));

$proto36["m_sql"] = "(SUM(IF(tipo_lanc='Crédito', valor,0))-SUM(IF(tipo_lanc='Débito', valor,0)))-  (SUM(IF(reembolsar=1, valor,0)) -  SUM(IF(tipo_lanc='Débito' AND origem=9, valor,0))) + SUM(IF(receber=1, valor,0))";
$proto36["m_srcTableName"] = "Resumo_contas";
$proto36["m_expr"]=$obj;
$proto36["m_alias"] = "Saldo_previsto";
$obj = new SQLFieldListItem($proto36);

$proto0["m_fieldlist"][]=$obj;
						$proto38=array();
			$obj = new SQLField(array(
	"m_strName" => "banco",
	"m_strTable" => "tb_contas_banc",
	"m_srcTableName" => "Resumo_contas"
));

$proto38["m_sql"] = "tb_contas_banc.banco";
$proto38["m_srcTableName"] = "Resumo_contas";
$proto38["m_expr"]=$obj;
$proto38["m_alias"] = "";
$obj = new SQLFieldListItem($proto38);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto40=array();
$proto40["m_link"] = "SQLL_MAIN";
			$proto41=array();
$proto41["m_strName"] = "tb_cbanc_movimentos";
$proto41["m_srcTableName"] = "Resumo_contas";
$proto41["m_columns"] = array();
$proto41["m_columns"][] = "entradaID";
$proto41["m_columns"][] = "cbancID";
$proto41["m_columns"][] = "tipo_lanc";
$proto41["m_columns"][] = "origem";
$proto41["m_columns"][] = "valor";
$proto41["m_columns"][] = "observacao";
$proto41["m_columns"][] = "doc";
$proto41["m_columns"][] = "incluir";
$proto41["m_columns"][] = "data";
$proto41["m_columns"][] = "reembolsar";
$proto41["m_columns"][] = "credor";
$proto41["m_columns"][] = "status_reemb";
$proto41["m_columns"][] = "receber";
$proto41["m_columns"][] = "Devedor";
$proto41["m_columns"][] = "geradoc";
$proto41["m_columns"][] = "Regdoc";
$proto41["m_columns"][] = "status_receber";
$obj = new SQLTable($proto41);

$proto40["m_table"] = $obj;
$proto40["m_sql"] = "tb_cbanc_movimentos";
$proto40["m_alias"] = "";
$proto40["m_srcTableName"] = "Resumo_contas";
$proto42=array();
$proto42["m_sql"] = "";
$proto42["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto42["m_column"]=$obj;
$proto42["m_contained"] = array();
$proto42["m_strCase"] = "";
$proto42["m_havingmode"] = false;
$proto42["m_inBrackets"] = false;
$proto42["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto42);

$proto40["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto40);

$proto0["m_fromlist"][]=$obj;
												$proto44=array();
$proto44["m_link"] = "SQLL_INNERJOIN";
			$proto45=array();
$proto45["m_strName"] = "tb_contas_banc";
$proto45["m_srcTableName"] = "Resumo_contas";
$proto45["m_columns"] = array();
$proto45["m_columns"][] = "contaID";
$proto45["m_columns"][] = "agencia";
$proto45["m_columns"][] = "Num_conta";
$proto45["m_columns"][] = "cidade";
$proto45["m_columns"][] = "status";
$proto45["m_columns"][] = "tipo";
$proto45["m_columns"][] = "titular";
$proto45["m_columns"][] = "titular_conjunto";
$proto45["m_columns"][] = "ativar";
$proto45["m_columns"][] = "banco";
$obj = new SQLTable($proto45);

$proto44["m_table"] = $obj;
$proto44["m_sql"] = "INNER JOIN tb_contas_banc ON tb_cbanc_movimentos.cbancID = tb_contas_banc.contaID";
$proto44["m_alias"] = "";
$proto44["m_srcTableName"] = "Resumo_contas";
$proto46=array();
$proto46["m_sql"] = "tb_cbanc_movimentos.cbancID = tb_contas_banc.contaID";
$proto46["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "cbancID",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "Resumo_contas"
));

$proto46["m_column"]=$obj;
$proto46["m_contained"] = array();
$proto46["m_strCase"] = "= tb_contas_banc.contaID";
$proto46["m_havingmode"] = false;
$proto46["m_inBrackets"] = false;
$proto46["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto46);

$proto44["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto44);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
												$proto48=array();
						$obj = new SQLField(array(
	"m_strName" => "cbancID",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "Resumo_contas"
));

$proto48["m_column"]=$obj;
$obj = new SQLGroupByItem($proto48);

$proto0["m_groupby"][]=$obj;
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="Resumo_contas";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_resumo_contas = createSqlQuery_resumo_contas();


	
		;

									

$tdataresumo_contas[".sqlquery"] = $queryData_resumo_contas;

$tableEvents["Resumo_contas"] = new eventsBase;
$tdataresumo_contas[".hasEvents"] = false;

?>